Subject: Re: bug#17497: The text-mode menu looks very broken in emacs-24

From: Alan Mackenzie <[email-masked]>
Date: Thu, 19 Jun 2014 14:11:41 +0000 (UTC)

Hi, Eli.

Eli Zaretskii <[email-masked]> wrote:
>> From: Mario Lang <[email-masked]>
>> Date: Wed, 18 Jun 2014 13:14:51 +0200
 
>> > Check screenshots from http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17497,
>> > most probably you hit the same known issue.
 
>> I can't see plain image file screenshots, but the (terse) description in
>> the bug report sort of matches what I see, so likely this is the same
>> issue.  Thanks for pointing this out.

> Can you state your system name/version and the terminal emulator you
> are using, for the record?  Past experience indicates that perhaps
> this problem affects only some systems/emulators.

I think this is the case.  I've started an up to date system from the
Emacs-24 branch, running on a GNU system on a Linux tty, with -Q.  I
configured the build with:

   ./configure --with-gif=no --with-tiff=no --with-gpm

.  The menus seem to work fine, except for one glitch.  When I click the
(GPM) mouse on a menu, the menu drops down beginning horizontally where
the mouse was, rather than where the menu label was.  I.e., I see this:

    File Ed Edit > ns Buffers Tools Lisp-Interaction Help
            Undo                    C-x u
            Cut                     C-w
    ...

, when I would rather expect to see this:

    File Edit > tions Buffers Tools Lisp-Interaction Help
         Undo                    C-x u
         Cut                     C-w
    ....

> Thanks.

-- 
Alan Mackenzie (Nuremberg, Germany).